#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2fbf5b20, "crypto_register_shash" },
	{ 0x369b3c44, "crypto_unregister_shash" },
	{ 0x48a5c1a, "crypto_register_ahash" },
	{ 0x7b8340cc, "cryptd_shash_desc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xac6b17cd, "crypto_ahash_digest" },
	{ 0x44d86bbe, "crypto_ahash_final" },
	{ 0xb0b43077, "crypto_shash_final" },
	{ 0xc3480334, "shash_ahash_digest" },
	{ 0x3018a34a, "cryptd_ahash_queued" },
	{ 0x631ae0e6, "crypto_ahash_update" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0xc13d02da, "cryptd_free_ahash" },
	{ 0x2fb44fc, "cryptd_alloc_ahash" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xa9755511, "shash_ahash_update" },
	{ 0x8565b3a8, "crypto_ahash_setkey" },
	{ 0xcc64effa, "pcpu_hot" },
	{ 0x2ed04bbe, "cryptd_ahash_child" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfd32204d, "crypto_unregister_ahash" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "cryptd");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*0081*");

MODULE_INFO(srcversion, "CC15CA7EE471EA85A026CE1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
