#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4efa953, "can_bus_off" },
	{ 0xb0f0750a, "usb_unanchor_urb" },
	{ 0xea4164a9, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdecc5c5, "driver_for_each_device" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8cd5675a, "alloc_can_err_skb" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x80c8ba40, "register_candev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb6c6da86, "kmalloc_caches" },
	{ 0x883e4be8, "netdev_info" },
	{ 0xe940b654, "usb_alloc_urb" },
	{ 0x6a56ec33, "usb_anchor_urb" },
	{ 0x8d4f19b9, "usb_free_urb" },
	{ 0x9ec4083e, "can_free_echo_skb" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52a020d, "can_put_echo_skb" },
	{ 0x1a07d05a, "consume_skb" },
	{ 0xb93dc1f2, "can_get_echo_skb" },
	{ 0x76d8eb51, "alloc_canfd_skb" },
	{ 0xb61e9db4, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc64effa, "pcpu_hot" },
	{ 0x60ec7937, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdee7cad1, "open_candev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb86b36eb, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa185bc53, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfad52e18, "alloc_can_skb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xa916b694, "strnlen" },
	{ 0x9b3ec464, "netif_device_detach" },
	{ 0x1143c475, "unregister_candev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x29bfe31a, "usb_submit_urb" },
	{ 0x191831c4, "_dev_info" },
	{ 0xc138c98b, "can_change_state" },
	{ 0x20210a88, "can_change_mtu" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6ef7ce54, "can_dropped_invalid_skb" },
	{ 0xef45f155, "_dev_err" },
	{ 0xca9df74d, "free_candev" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb212b944, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x6defb9e2, "kfree_skb_reason" },
	{ 0x7bec383, "netdev_printk" },
	{ 0xa6a085ef, "usb_control_msg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x840e2783, "usb_deregister" },
	{ 0x141c8f5a, "netif_tx_wake_queue" },
	{ 0x74dc7a7d, "close_candev" },
	{ 0xfb578fc5, "memset" },
	{ 0xddcecdea, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x920dded8, "netif_rx" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v0C72p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0014d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8384844B4DC84548109FDC7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
