#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_phylink_mac_config, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_down, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_up, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_enable_set, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0x3b81b3da, "");
SYMBOL_CRC(b53_enable_port, 0x1a84c1d6, "");
SYMBOL_CRC(b53_disable_port, 0x9dc572d1, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x30e476c1, "");
SYMBOL_CRC(b53_configure_vlan, 0x4609e8ab, "");
SYMBOL_CRC(b53_get_strings, 0xc65b93f6, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0xd93c000f, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0xd1ac5df4, "");
SYMBOL_CRC(b53_get_sset_count, 0x656d7029, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0xf3f50446, "");
SYMBOL_CRC(b53_port_event, 0x96b19b84, "");
SYMBOL_CRC(b53_phylink_mac_config, 0x4b216688, "");
SYMBOL_CRC(b53_phylink_mac_link_down, 0x06aafa11, "");
SYMBOL_CRC(b53_phylink_mac_link_up, 0x5f146002, "");
SYMBOL_CRC(b53_vlan_filtering, 0x6c1a6c40, "");
SYMBOL_CRC(b53_vlan_add, 0x554e833e, "");
SYMBOL_CRC(b53_vlan_del, 0x4efebcf2, "");
SYMBOL_CRC(b53_fdb_add, 0x19d3225a, "");
SYMBOL_CRC(b53_fdb_del, 0x437e8320, "");
SYMBOL_CRC(b53_fdb_dump, 0xd36d3172, "");
SYMBOL_CRC(b53_mdb_add, 0x90c68738, "");
SYMBOL_CRC(b53_mdb_del, 0x349f4062, "");
SYMBOL_CRC(b53_br_join, 0xf45dcca8, "");
SYMBOL_CRC(b53_br_leave, 0xb81dbd10, "");
SYMBOL_CRC(b53_br_set_stp_state, 0x794efac1, "");
SYMBOL_CRC(b53_br_fast_age, 0xced8751d, "");
SYMBOL_CRC(b53_br_flags_pre, 0xd8fbf622, "");
SYMBOL_CRC(b53_br_flags, 0x8835ca0c, "");
SYMBOL_CRC(b53_get_tag_protocol, 0xfcd5efea, "");
SYMBOL_CRC(b53_mirror_add, 0x6f3916bf, "");
SYMBOL_CRC(b53_mirror_del, 0xfdd15eb9, "");
SYMBOL_CRC(b53_eee_enable_set, 0xc8646283, "");
SYMBOL_CRC(b53_eee_init, 0x108b638c, "");
SYMBOL_CRC(b53_get_mac_eee, 0x51948078, "");
SYMBOL_CRC(b53_set_mac_eee, 0x103c6fa5, "");
SYMBOL_CRC(b53_switch_alloc, 0x989cd48f, "");
SYMBOL_CRC(b53_switch_detect, 0x5ad5f642, "");
SYMBOL_CRC(b53_switch_register, 0x8d43b838, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6d9d0925, "dsa_devlink_resources_unregister" },
	{ 0x9c25c407, "dsa_devlink_resource_register" },
	{ 0xaf9c01bd, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xddcecdea, "_dev_warn" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1457816f, "mdiobus_get_phy" },
	{ 0xad7a9b3d, "phy_ethtool_get_stats" },
	{ 0x4f82c5cc, "phy_ethtool_get_sset_count" },
	{ 0xdd64e639, "strscpy" },
	{ 0x8792138d, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd647600c, "dsa_port_phylink_mac_change" },
	{ 0xeffdec0, "phy_init_eee" },
	{ 0xef45f155, "_dev_err" },
	{ 0x1368de2e, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x191831c4, "_dev_info" },
	{ 0x3bda8254, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x2b0d9841, "gpio_to_desc" },
	{ 0xefd9edfb, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "702902AAC891DFD1C6198D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
