#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x5fae8be6, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x73cc82a3, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x6e9ad1fe, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x9b10b7aa, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x6e3787af, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x654bb7f6, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x68b2f3e3, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x338fb3d7, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x6dbc73bf, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x9fecc5cd, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x85c3f32e, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x50e989e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33243977, "device_add" },
	{ 0x8bca8bbf, "put_device" },
	{ 0xab347a69, "device_unregister" },
	{ 0x2662721b, "driver_register" },
	{ 0x49920d6, "driver_unregister" },
	{ 0xcfa16cf2, "bus_for_each_dev" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x820357c0, "genl_unregister_family" },
	{ 0x6c5f6671, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb1936dff, "bus_register" },
	{ 0x8a75667d, "genl_register_family" },
	{ 0x2a60702f, "dma_set_mask" },
	{ 0x83d65394, "dma_set_coherent_mask" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x2f6e09c1, "dev_set_name" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x19f425f1, "device_initialize" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc15f8b47, "netlink_capable" },
	{ 0xc1f5a267, "__alloc_skb" },
	{ 0x93212f7b, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x6defb9e2, "kfree_skb_reason" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x2450e2fe, "netlink_unicast" },
	{ 0xebd2b405, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc2675ae5, "driver_set_override" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x412081d9, "bus_find_device" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F67E9B0A6EC34E550F3ECF0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
