#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_create_ipc_file_profile, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_FUNC(sof_ipc4_find_debug_slot_offset_by_type, "", "");
KSYMTAB_FUNC(sof_ipc4_set_pipeline_state, "", "");
KSYMTAB_FUNC(sof_client_dev_register, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_dev_unregister, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_tx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_rx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_set_get_data, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc4_find_module, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_suspend_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_resume_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_debugfs_root, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_dma_dev, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_version, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_max_payload_size, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_type, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_get, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_put, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_state, "_gpl", "SND_SOC_SOF_CLIENT");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0xbc0ad38b, "");
SYMBOL_CRC(sof_set_fw_state, 0xcb8411f9, "");
SYMBOL_CRC(snd_sof_device_probe, 0x132b2349, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0x8288fcb9, "");
SYMBOL_CRC(snd_sof_device_remove, 0x2454dda2, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0xa274b8c3, "");
SYMBOL_CRC(sof_machine_register, 0x668b7316, "");
SYMBOL_CRC(sof_machine_unregister, 0xad7e8170, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0xfa4e8e9b, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0x9c46f5a5, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0xa04fe61d, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0xe02be239, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0x793d81ba, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0x21272ac1, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0x497bbdfc, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0x98ccd9cb, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0x5b73294f, "");
SYMBOL_CRC(snd_sof_run_firmware, 0x84fa64cd, "");
SYMBOL_CRC(snd_sof_fw_unload, 0xd412ee94, "");
SYMBOL_CRC(sof_ipc_tx_message, 0x5797a579, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0x3ca45108, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0x9a11dba4, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0xe53fea23, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0xb202c59e, "");
SYMBOL_CRC(snd_sof_ipc_init, 0xc7762650, "");
SYMBOL_CRC(snd_sof_ipc_free, 0xd4f73015, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0x45f3491a, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0x9bcd1ee3, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0xe903c03b, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0x2e627855, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0x96906296, "");
SYMBOL_CRC(snd_sof_resume, 0x2da78358, "");
SYMBOL_CRC(snd_sof_suspend, 0x9564186d, "");
SYMBOL_CRC(snd_sof_prepare, 0x0197dd07, "");
SYMBOL_CRC(snd_sof_complete, 0x3b17cc3e, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0xd839fcad, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0xe4492119, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0x33df1221, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0xbd9bf81b, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0x970a1ee7, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0xf47af9bb, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0xda129b06, "");
SYMBOL_CRC(snd_sof_load_topology, 0x677761d3, "");
SYMBOL_CRC(sof_io_write, 0xf3aef602, "");
SYMBOL_CRC(sof_io_read, 0x4eceb995, "");
SYMBOL_CRC(sof_io_write64, 0x00528d7a, "");
SYMBOL_CRC(sof_io_read64, 0xf2e17f0f, "");
SYMBOL_CRC(sof_mailbox_write, 0x055179b8, "");
SYMBOL_CRC(sof_mailbox_read, 0x671b0982, "");
SYMBOL_CRC(sof_block_write, 0xe45f1040, "");
SYMBOL_CRC(sof_block_read, 0xe4c26149, "");
SYMBOL_CRC(sof_widget_free, 0x3c49c842, "");
SYMBOL_CRC(sof_widget_setup, 0x8dbb610a, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0x42049ec3, "");
SYMBOL_CRC(sof_dai_get_mclk, 0xdee46005, "");
SYMBOL_CRC(sof_dai_get_bclk, 0x38c4eeb3, "");
SYMBOL_CRC(sof_ipc_msg_data, 0x05787bf7, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0xb523335a, "");
SYMBOL_CRC(sof_stream_pcm_open, 0xd30e2494, "");
SYMBOL_CRC(sof_stream_pcm_close, 0xcf51b7e7, "");
SYMBOL_CRC(sof_create_ipc_file_profile, 0xe0da62c7, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0x2ccc09ff, "");
SYMBOL_CRC(sof_ipc4_find_debug_slot_offset_by_type, 0xc9ee06bc, "");
SYMBOL_CRC(sof_ipc4_set_pipeline_state, 0x17ffde97, "");
SYMBOL_CRC(sof_client_dev_register, 0x265e72e2, "_gpl");
SYMBOL_CRC(sof_client_dev_unregister, 0x831a4c03, "_gpl");
SYMBOL_CRC(sof_client_ipc_tx_message, 0x9d3cb5c8, "_gpl");
SYMBOL_CRC(sof_client_ipc_rx_message, 0xe66f5975, "_gpl");
SYMBOL_CRC(sof_client_ipc_set_get_data, 0xa064501a, "_gpl");
SYMBOL_CRC(sof_client_ipc4_find_module, 0xd278016e, "_gpl");
SYMBOL_CRC(sof_suspend_clients, 0xff3c7d83, "_gpl");
SYMBOL_CRC(sof_resume_clients, 0x93bc1242, "_gpl");
SYMBOL_CRC(sof_client_get_debugfs_root, 0x9fc63a9d, "_gpl");
SYMBOL_CRC(sof_client_get_dma_dev, 0x10708d0e, "_gpl");
SYMBOL_CRC(sof_client_get_fw_version, 0x640394c6, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_max_payload_size, 0xff925763, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_type, 0xb5913eca, "_gpl");
SYMBOL_CRC(sof_client_core_module_get, 0x8f4d803f, "_gpl");
SYMBOL_CRC(sof_client_core_module_put, 0x749aeec1, "_gpl");
SYMBOL_CRC(sof_client_register_ipc_rx_handler, 0x43ed441c, "_gpl");
SYMBOL_CRC(sof_client_unregister_ipc_rx_handler, 0x78285719, "_gpl");
SYMBOL_CRC(sof_client_register_fw_state_handler, 0x5ed1d3ac, "_gpl");
SYMBOL_CRC(sof_client_unregister_fw_state_handler, 0x72e2b13c, "_gpl");
SYMBOL_CRC(sof_client_get_fw_state, 0xaf166570, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5525fbed, "snd_pcm_period_elapsed" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x24d6fdaf, "__pm_runtime_suspend" },
	{ 0xf5b0283, "snd_pcm_hw_constraint_step" },
	{ 0xcfca536c, "snd_soc_tplg_widget_bind_event" },
	{ 0x754d539c, "strlen" },
	{ 0xbd760b3, "param_ops_int" },
	{ 0x5fe0f0f9, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x9656682d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x12b33922, "pci_write_config_dword" },
	{ 0xb6c6da86, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6401cbe0, "dpcm_end_walk_at_be" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xdf6b6086, "snd_soc_dapm_dai_free_widgets" },
	{ 0x2d58365a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x84f7d86f, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x36fe4fa6, "firmware_request_nowarn" },
	{ 0x1ad31918, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd9edd29a, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6555d8a7, "trace_raw_output_prep" },
	{ 0x29fc6b4c, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2594c588, "request_firmware" },
	{ 0x598aa1f5, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x532480e1, "pm_runtime_get_if_active" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x318999db, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc64effa, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x30dc5ed2, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa49616db, "snd_sof_create_page_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1368de2e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf4659cc8, "debugfs_file_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaebaf94, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x2c3d8526, "pci_read_config_dword" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x3c3aa41d, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x61a3bd83, "devm_snd_soc_register_component" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8bca8bbf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x191831c4, "_dev_info" },
	{ 0xfc4b7c53, "debugfs_file_put" },
	{ 0x61cca0c6, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb8a7210c, "intel_nhlt_get_endpoint_blob" },
	{ 0x523e4a1b, "snd_soc_rtdcom_lookup" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe49dd324, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x1fee6767, "perf_trace_run_bpf_submit" },
	{ 0x2d771e14, "devm_kfree" },
	{ 0xef45f155, "_dev_err" },
	{ 0xdd4b5de6, "simple_open" },
	{ 0xca5ec534, "platform_device_unregister" },
	{ 0x7fd0e97f, "__auxiliary_device_add" },
	{ 0xe90109ae, "widget_in_list" },
	{ 0xb60f52e4, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7f6c10b8, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x53546ce9, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x777ebe4d, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa9804e73, "snd_pcm_set_managed_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2e2c844d, "bpf_trace_run1" },
	{ 0x29404211, "device_del" },
	{ 0xe51a325e, "default_llseek" },
	{ 0xddcecdea, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x339f30ff, "debugfs_create_u32" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xddad6453, "snd_soc_tplg_component_remove" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd98ec6e2, "snd_ctl_notify_one" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x57f1922, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb1f1447, "snd_pcm_hw_constraint_integer" },
	{ 0x98409361, "bpf_trace_run3" },
	{ 0xa10facad, "debugfs_create_file" },
	{ 0x9fa21b15, "platform_device_register_full" },
	{ 0x7cae9779, "trace_event_buffer_reserve" },
	{ 0x78973592, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x38dce0ff, "param_ops_bool" },
	{ 0xc9d35c10, "snd_dma_buffer_sync" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-core,snd,snd-sof-utils,snd-intel-dspcfg");


MODULE_INFO(srcversion, "DE324FE810721058F348EAC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
