#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x8caa2b57, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0xd466971e, "");
SYMBOL_CRC(cx25821_dev_unregister, 0xc64e31fb, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x21c6639b, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0xfa2db3a9, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0x205274e3, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x6d38e03e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0xa12ea6c9, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcd0516dc, "video_devdata" },
	{ 0xebd39a2b, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x7872811, "i2c_del_adapter" },
	{ 0x911ca98b, "vb2_plane_cookie" },
	{ 0x3cb74eb1, "vb2_ioctl_dqbuf" },
	{ 0xacdd7c57, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbb153049, "vb2_ioctl_prepare_buf" },
	{ 0xffc0e52, "dma_alloc_attrs" },
	{ 0x7edc168c, "vb2_buffer_done" },
	{ 0x961e5f5a, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb8639074, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbbfbc5fb, "vb2_ioctl_qbuf" },
	{ 0xac061ecb, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe346d68e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x27c33b2, "vb2_fop_read" },
	{ 0x2c1f771c, "v4l2_device_register" },
	{ 0xaa14a325, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa96f60ff, "dma_free_attrs" },
	{ 0x39e7a386, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xaf110618, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x46a93e7e, "vb2_ioctl_streamon" },
	{ 0x575c274, "vb2_fop_poll" },
	{ 0x1b44fc0f, "v4l2_ctrl_new_std" },
	{ 0x2744fd20, "v4l2_ctrl_handler_free" },
	{ 0x7ba6a39b, "v4l2_device_unregister" },
	{ 0x5aabe9f2, "pci_disable_device" },
	{ 0x2a60702f, "dma_set_mask" },
	{ 0xcd914799, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbd760b3, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8f62d5b7, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa86a0501, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0xdabc071d, "vb2_ioctl_reqbufs" },
	{ 0xdfa0e592, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa49f7f21, "vb2_dma_sg_memops" },
	{ 0x67143eda, "video_ioctl2" },
	{ 0xa9c0a58a, "pci_enable_device" },
	{ 0xef19a975, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1a4903b5, "vb2_ops_wait_finish" },
	{ 0xea1beb95, "__pci_register_driver" },
	{ 0x7f5a5c7b, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x8c0524d1, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xd73a9e82, "vb2_ioctl_querybuf" },
	{ 0x5fd589d1, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x60c7bad0, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "4BBCE74D4029F4F21F52B2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
