#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_register_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_deregister_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0x2275baf3, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0xad42ac2a, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0x31d935a3, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x619368bc, "");
SYMBOL_CRC(mana_gd_register_device, 0x76381eab, "");
SYMBOL_CRC(mana_gd_deregister_device, 0xa04d27f0, "");
SYMBOL_CRC(mana_uncfg_vport, 0x977cc0d9, "");
SYMBOL_CRC(mana_cfg_vport, 0x8e8f5ca5, "");
SYMBOL_CRC(mana_create_wq_obj, 0x09c370cc, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x2f6c11f6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb86b36eb, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbb88f748, "pskb_expand_head" },
	{ 0xd6721c66, "dev_driver_string" },
	{ 0xd6f96421, "dev_addr_mod" },
	{ 0x6f07552d, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xfd216762, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x58390570, "dma_map_page_attrs" },
	{ 0x5ee5604, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd55df7e, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8bca8bbf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9b3ec464, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x191831c4, "_dev_info" },
	{ 0xb0b68e75, "napi_gro_receive" },
	{ 0x78b64b31, "netif_device_attach" },
	{ 0xbeb0abc, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xd15ead18, "__skb_get_hash" },
	{ 0xef45f155, "_dev_err" },
	{ 0x2aade3e8, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbea4c3ad, "netif_set_real_num_tx_queues" },
	{ 0x7fd0e97f, "__auxiliary_device_add" },
	{ 0x1e86c71d, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x7bec383, "netdev_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xffc0e52, "dma_alloc_attrs" },
	{ 0x66831ba, "pcie_flr" },
	{ 0x92f7440e, "napi_enable" },
	{ 0x7df7ad7e, "register_netdev" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf0451282, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x491a913b, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x87cf1e83, "pci_iounmap" },
	{ 0x141c8f5a, "netif_tx_wake_queue" },
	{ 0x29404211, "device_del" },
	{ 0xd60e6429, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xddcecdea, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5dff8345, "__alloc_pages" },
	{ 0xe346d68e, "pci_set_master" },
	{ 0xda801eec, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x83d65394, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa96f60ff, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9f35555, "pci_release_regions" },
	{ 0xd523fb2d, "bpf_prog_add" },
	{ 0xc504fd5c, "xdp_rxq_info_unreg" },
	{ 0xa7bb7fb6, "page_pool_alloc_pages" },
	{ 0x982a1f0, "napi_build_skb" },
	{ 0x6fa44918, "__folio_put" },
	{ 0xb16e0d4a, "__xdp_rxq_info_reg" },
	{ 0xb82cb82b, "xdp_set_features_flag" },
	{ 0x56470118, "__warn_printk" },
	{ 0x614ea0ee, "netif_carrier_off" },
	{ 0x63e89717, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5aabe9f2, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x2a60702f, "dma_set_mask" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x9b46ef7e, "xdp_master_redirect" },
	{ 0x7bed1f1c, "__napi_schedule_irqoff" },
	{ 0x4c57b6b6, "napi_schedule_prep" },
	{ 0x47678e1, "napi_consume_skb" },
	{ 0x267ede6f, "napi_disable" },
	{ 0x88e1d80a, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1ca8ea84, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb6c6da86, "kmalloc_caches" },
	{ 0x883e4be8, "netdev_info" },
	{ 0xc3ef547, "page_pool_put_unrefed_page" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfdea1704, "__tracepoint_xdp_exception" },
	{ 0xbb677afa, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9ba50e00, "bpf_prog_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa9c0a58a, "pci_enable_device" },
	{ 0xbccaa076, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1ad31918, "auxiliary_device_init" },
	{ 0x7a7ca9b3, "pci_iomap" },
	{ 0x90ef1037, "pci_alloc_irq_vectors" },
	{ 0x678fa298, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x59932f8e, "bpf_warn_invalid_xdp_action" },
	{ 0xdefa780c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc0029833, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea1beb95, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x98139495, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc64effa, "pcpu_hot" },
	{ 0xe3b4be6d, "page_pool_destroy" },
	{ 0x68d56945, "xdp_do_redirect" },
	{ 0xd693254b, "__put_devmap_managed_page_refs" },
	{ 0x8a39bfc0, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x60ec7937, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd1194b2a, "pci_irq_vector" },
	{ 0xc2c0a27f, "__netif_napi_del" },
	{ 0x97b78ffd, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x1368de2e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x60c7bad0, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7416B8B10469131E61FDEB6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
