#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0x81f3e3d1, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x8b9fe00f, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x8173c6b4, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xcf8e8b0f, "_gpl");
SYMBOL_CRC(p54_rx, 0xea01ac09, "_gpl");
SYMBOL_CRC(p54_init_common, 0x7f1f4dc8, "_gpl");
SYMBOL_CRC(p54_register_common, 0x33d666a2, "_gpl");
SYMBOL_CRC(p54_free_common, 0x95c7dfe9, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x504a1aa2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14399f88, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e6a50eb, "__ieee80211_get_tx_led_name" },
	{ 0x85dd3dfa, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x154088c4, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x47020f62, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x4135715f, "__ieee80211_get_rx_led_name" },
	{ 0x191831c4, "_dev_info" },
	{ 0xbeb0abc, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x555ed779, "ieee80211_queue_delayed_work" },
	{ 0xef45f155, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xa9af2b9b, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9df80f89, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x2ec67248, "ieee80211_free_txskb" },
	{ 0x7424e26a, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x983f52fb, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xddcecdea, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x737b03a3, "ieee80211_stop_queue" },
	{ 0x6ec95ab7, "__netdev_alloc_skb" },
	{ 0xebd2b405, "skb_trim" },
	{ 0xd722798a, "skb_unlink" },
	{ 0x2a31d532, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xe6d46be, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x38dce0ff, "param_ops_bool" },
	{ 0x50ec51c, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8f30f56f, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x88e1d80a, "dev_kfree_skb_any_reason" },
	{ 0x5fe0f0f9, "_dev_printk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb6c6da86, "kmalloc_caches" },
	{ 0xba7e5acb, "ieee80211_rx_irqsafe" },
	{ 0x9abc78d3, "skb_queue_head" },
	{ 0xbccaa076, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1a07d05a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xdefa780c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd312d9fc, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56a8b2a1, "ieee80211_beacon_loss" },
	{ 0xf28a6b11, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a1fe123, "led_classdev_unregister" },
	{ 0x4c4e61c1, "ieee80211_register_hw" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x69c1f3f2, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc66d136e, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "B71C045AC6641771922B8C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
