#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0xbd71b47d, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x70e5fac0, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0xca054020, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x265b22bb, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xe370aa94, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x8f9c0fe7, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xf56a6e63, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2f8082c, "mt76x02_mac_shared_key_setup" },
	{ 0x41a6d381, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd3e4161f, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x191831c4, "_dev_info" },
	{ 0xdf6bf1df, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x555ed779, "ieee80211_queue_delayed_work" },
	{ 0x1510e3ab, "mt76_eeprom_init" },
	{ 0xef45f155, "_dev_err" },
	{ 0x9e4e99a3, "mt76x02_mac_setaddr" },
	{ 0x72ee5278, "mt76_register_device" },
	{ 0xedebf156, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x360ec7ea, "mt76x02_phy_set_band" },
	{ 0x29bc62f7, "mt76_set_channel" },
	{ 0xff797168, "mt76x02_init_device" },
	{ 0x30e2ed1e, "ieee80211_wake_queues" },
	{ 0x8c828554, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xd2026b23, "mt76x02_phy_set_rxpath" },
	{ 0x288a2c52, "mt76x02_edcca_init" },
	{ 0xdf3dc7b3, "mt76_eeprom_override" },
	{ 0x3b66f3f, "mt76x02_get_lna_gain" },
	{ 0x99b09708, "mt76x02_init_debugfs" },
	{ 0xddcecdea, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66ea5645, "ieee80211_stop_queues" },
	{ 0xe66546cc, "mt76x02_mac_cc_reset" },
	{ 0x97d33c92, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3f5c3b39, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xda3e6cb9, "____mt76_poll_msec" },
	{ 0x30fdd4c4, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x18077f30, "mt76x02_config_mac_addr_list" },
	{ 0x99ceea18, "mt76_get_sar_power" },
	{ 0xfb98ef23, "mt76x02_eeprom_copy" },
	{ 0xf815ec67, "mt76x02_mcu_calibrate" },
	{ 0x1ba172ce, "mt76x02_mcu_function_select" },
	{ 0xe2223f15, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x277a7f7b, "mt76x02_mac_wcid_setup" },
	{ 0xeb81ad8, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6c6dfbb4, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x16694996, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcbb4e37, "mt76_init_sar_power" },
	{ 0x7661935b, "mt76x02_phy_adjust_vga_gain" },
	{ 0x6a177af9, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x731c2423, "cfg80211_chandef_valid" },
	{ 0x1368de2e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
