#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8164715, "mt76x2_mcu_set_channel" },
	{ 0x7a83f593, "mt76x02_dma_disable" },
	{ 0x34f3d727, "mt76x02_mcu_set_radio_state" },
	{ 0x9ee1cfeb, "mt76_wake_tx_queue" },
	{ 0xfedc87c6, "mt76x02e_init_beacon_config" },
	{ 0x39a29c8a, "mt76_get_antenna" },
	{ 0xcc64effa, "pcpu_hot" },
	{ 0xa0bfa629, "mt76_set_stream_caps" },
	{ 0xf0b6e368, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4bec4c0a, "pci_set_power_state" },
	{ 0x843938a5, "mt76x02_sta_ps" },
	{ 0x85f741ba, "mt76x2_set_sar_specs" },
	{ 0xe2ed018f, "mt76x02_sta_rate_tbl_update" },
	{ 0xd5e8ac22, "kthread_park" },
	{ 0x5aad2250, "mt76_dma_cleanup" },
	{ 0x60c7bad0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x69d71629, "mt76x02_reconfig_complete" },
	{ 0xaf13ff40, "mt76_alloc_device" },
	{ 0x8d81cf69, "wake_up_process" },
	{ 0xe2f8082c, "mt76x02_mac_shared_key_setup" },
	{ 0x41a6d381, "mt76x02_ext_pa_enabled" },
	{ 0x62ae7b21, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9897fa16, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xce3951a5, "mt76x02_set_tx_ackto" },
	{ 0x6f62df37, "mt76x02_update_channel" },
	{ 0x8b4d96a8, "__napi_schedule" },
	{ 0x49f04729, "mt76x2_configure_tx_delay" },
	{ 0x91b23fc, "mt76_pci_disable_aspm" },
	{ 0x191831c4, "_dev_info" },
	{ 0x9e6de45, "mt76x02_configure_filter" },
	{ 0xded701f, "mt76_free_device" },
	{ 0xfc296b0, "mt76x02_queue_rx_skb" },
	{ 0x93bd5f52, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4a48f77b, "pcim_iomap_regions" },
	{ 0x555ed779, "ieee80211_queue_delayed_work" },
	{ 0xef45f155, "_dev_err" },
	{ 0xd51fb3a5, "mt76x02_rx_poll_complete" },
	{ 0x9e4e99a3, "mt76x02_mac_setaddr" },
	{ 0x72ee5278, "mt76_register_device" },
	{ 0x3ed8fa24, "mt76_set_tim" },
	{ 0xe2dc7e, "mt76x02_sw_scan_complete" },
	{ 0xedebf156, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x360ec7ea, "mt76x02_phy_set_band" },
	{ 0x29bc62f7, "mt76_set_channel" },
	{ 0xff797168, "mt76x02_init_device" },
	{ 0x92f7440e, "napi_enable" },
	{ 0xa8c06e7a, "mt76x02_tx" },
	{ 0x154b36c, "mt76_mmio_init" },
	{ 0x30e2ed1e, "ieee80211_wake_queues" },
	{ 0xd15e2faa, "mt76x02_sta_remove" },
	{ 0x288a2c52, "mt76x02_edcca_init" },
	{ 0xf7454bfd, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x41eac6a0, "mt76x02_sta_add" },
	{ 0x577266d0, "mt76_unregister_device" },
	{ 0xa8e41a27, "mt76x2_mcu_load_cr" },
	{ 0x9e879ae2, "pci_restore_state" },
	{ 0x9024c2d4, "mt76x2_init_txpower" },
	{ 0x99b09708, "mt76x02_init_debugfs" },
	{ 0x621f3ac7, "mt76_get_survey" },
	{ 0xe346d68e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7eeb263d, "mt76x2_mcu_init_gain" },
	{ 0xf1d9fd28, "mt76x02_set_rts_threshold" },
	{ 0x6832b6f2, "mt76x02_tx_complete_skb" },
	{ 0x99ffdaa3, "mt76_sta_state" },
	{ 0xbb6fc7b8, "mt76x02_mcu_msg_send" },
	{ 0x4fb210ef, "mt76x2_phy_tssi_compensate" },
	{ 0x66ea5645, "ieee80211_stop_queues" },
	{ 0xe66546cc, "mt76x02_mac_cc_reset" },
	{ 0x14cbf84, "mt76x02_bss_info_changed" },
	{ 0x97d33c92, "mt76x02_init_agc_gain" },
	{ 0x1545f450, "mt76x2_phy_update_channel_gain" },
	{ 0x76dfaaf9, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3f5c3b39, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x74e86fea, "mt76x02_add_interface" },
	{ 0xda3e6cb9, "____mt76_poll_msec" },
	{ 0x30fdd4c4, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x18077f30, "mt76x02_config_mac_addr_list" },
	{ 0x99ceea18, "mt76_get_sar_power" },
	{ 0xf7613502, "mt76x02_tx_prepare_skb" },
	{ 0x4170888e, "mt76x02_mcu_cleanup" },
	{ 0x9a1b56f0, "mt76x02_ampdu_action" },
	{ 0xf815ec67, "mt76x02_mcu_calibrate" },
	{ 0x7b7c2d9e, "mt76x02_conf_tx" },
	{ 0x1ba172ce, "mt76x02_mcu_function_select" },
	{ 0x2a60702f, "dma_set_mask" },
	{ 0xc702dc6c, "mt76_sw_scan" },
	{ 0xcb95a3fa, "mt76_sta_pre_rcu_remove" },
	{ 0x37042862, "pcim_iomap_table" },
	{ 0xcd6320c0, "mt76x2_get_temp_comp" },
	{ 0x277a7f7b, "mt76x02_mac_wcid_setup" },
	{ 0x4c57b6b6, "napi_schedule_prep" },
	{ 0x267ede6f, "napi_disable" },
	{ 0xeb81ad8, "__mt76_poll" },
	{ 0x953b68f7, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xdf57450, "pcim_enable_device" },
	{ 0xe90579fb, "mt76x2_phy_set_txpower_regs" },
	{ 0x2df90ca1, "mt76x2_phy_set_txpower" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xdd3d1931, "mt76x02_mac_start" },
	{ 0xee52b019, "mt76x02_remove_interface" },
	{ 0x666bb638, "mt76x02_dma_init" },
	{ 0x39302d80, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf5749886, "devm_request_threaded_irq" },
	{ 0x481e4986, "pci_choose_state" },
	{ 0xf4286d6, "mt76x02_set_ethtool_fwver" },
	{ 0x8912e8c4, "mt76x02_tx_set_txpwr_auto" },
	{ 0xd2a1e485, "mt76x02_set_key" },
	{ 0x627f4266, "mt76x02_mcu_parse_response" },
	{ 0xaa0e34dd, "mt76_release_buffered_frames" },
	{ 0x2594c588, "request_firmware" },
	{ 0x143c07e0, "mt76_get_txpower" },
	{ 0xea1beb95, "__pci_register_driver" },
	{ 0xf8f24dc4, "mt76_write_mac_initvals" },
	{ 0x9a03cb2d, "mt76x2_reset_wlan" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F93EEC31EDE1078C32498C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
