#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0x9a1b7412, "_gpl");
SYMBOL_CRC(esp_output_tail, 0xda84efcf, "_gpl");
SYMBOL_CRC(esp_input_done2, 0x2a8e1192, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x418eabeb, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x859a9d96, "xfrm_state_lookup" },
	{ 0x30de197a, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x17add301, "ipv4_update_pmtu" },
	{ 0x1454078e, "__xfrm_state_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe572855c, "sk_free" },
	{ 0xf76c93e6, "skb_copy_bits" },
	{ 0xa1ea16b5, "km_new_mapping" },
	{ 0xb5c8028a, "skb_pull_rcsum" },
	{ 0x6d9588da, "skb_checksum" },
	{ 0x23643692, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5e088644, "xfrm_input_resume" },
	{ 0x2598e564, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x876251f9, "skb_to_sgvec" },
	{ 0xce1cc5e5, "crypto_aead_decrypt" },
	{ 0x9df80f89, "skb_push" },
	{ 0x9e875a5, "__pskb_pull_tail" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6fa44918, "__folio_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd693254b, "__put_devmap_managed_page_refs" },
	{ 0x24a0fe95, "xfrm_dev_resume" },
	{ 0xf21e4f05, "xfrm_output_resume" },
	{ 0x3a50f953, "__skb_ext_del" },
	{ 0x6defb9e2, "kfree_skb_reason" },
	{ 0xcc64effa, "pcpu_hot" },
	{ 0x6b255cfa, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb6c6da86, "kmalloc_caches" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf8c07379, "__inet_lookup_established" },
	{ 0x8da4c931, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb8026301, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbafcd392, "espintcp_queue_out" },
	{ 0xfb578fc5, "memset" },
	{ 0x52bffdba, "crypto_aead_encrypt" },
	{ 0x84ffc1a, "skb_page_frag_refill" },
	{ 0xe0fcd5fd, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x95a8a9f0, "xfrm_state_mtu" },
	{ 0xf9d1cbc6, "xfrm4_rcv" },
	{ 0xbe5b1356, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xac79a135, "xfrm_register_type" },
	{ 0xae286d9b, "xfrm4_protocol_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1c84275a, "xfrm_unregister_type" },
	{ 0x693b4813, "crypto_destroy_tfm" },
	{ 0x49014317, "xfrm4_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x869fa170, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe2fa27e7, "crypto_aead_setauthsize" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "F2E8A6808196C7BF3A032AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
