#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_hci_result_to_errno, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes_per_host, "", "");
KSYMTAB_FUNC(nfc_hci_sak_to_protocol, "", "");
KSYMTAB_FUNC(nfc_hci_target_discovered, "", "");
KSYMTAB_FUNC(nfc_hci_allocate_device, "", "");
KSYMTAB_FUNC(nfc_hci_free_device, "", "");
KSYMTAB_FUNC(nfc_hci_register_device, "", "");
KSYMTAB_FUNC(nfc_hci_unregister_device, "", "");
KSYMTAB_FUNC(nfc_hci_set_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_get_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_driver_failure, "", "");
KSYMTAB_FUNC(nfc_hci_recv_frame, "", "");
KSYMTAB_FUNC(nfc_hci_send_event, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd_async, "", "");
KSYMTAB_FUNC(nfc_hci_set_param, "", "");
KSYMTAB_FUNC(nfc_hci_get_param, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_gate, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_all_gates, "", "");
KSYMTAB_FUNC(nfc_hci_connect_gate, "", "");
KSYMTAB_FUNC(nfc_llc_start, "", "");
KSYMTAB_FUNC(nfc_llc_stop, "", "");

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0x5e534893, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x49bf9345, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0x0594e30b, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0x2fd70a78, "");
SYMBOL_CRC(nfc_hci_free_device, 0x7d13197e, "");
SYMBOL_CRC(nfc_hci_register_device, 0x675314d7, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0xb1707f67, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0x6cf5e50e, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0xd80b1298, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x7076a5d5, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0x74eaf22c, "");
SYMBOL_CRC(nfc_hci_send_event, 0x18830a67, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x0442ef89, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0xddde347d, "");
SYMBOL_CRC(nfc_hci_set_param, 0x15ad834d, "");
SYMBOL_CRC(nfc_hci_get_param, 0x7494c7c7, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0xea06b926, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x0906210e, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0xa408e20e, "");
SYMBOL_CRC(nfc_llc_start, 0x81d89c15, "");
SYMBOL_CRC(nfc_llc_stop, 0x504f1420, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9df80f89, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xda801eec, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xebd2b405, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe7b51e3f, "nfc_targets_found" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xac055373, "nfc_driver_failure" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb6c6da86, "kmalloc_caches" },
	{ 0x510eaa19, "nfc_register_device" },
	{ 0x9abc78d3, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbccaa076, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdefa780c, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9a99fec, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6ac19741, "nfc_allocate_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85dd3dfa, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xdc4ed382, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8bca8bbf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc1f5a267, "__alloc_skb" },
	{ 0xbeb0abc, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa9af2b9b, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6defb9e2, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "0B1F174CEDB4DFA029BCDBF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
